JBoss API: Interface ContainerFactoryMBean

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.ejb
Interface ContainerFactoryMBean

All Superinterfaces:
  Service, ServiceMBean

All Known Implementing Classes:
  ContainerFactory

public interface ContainerFactoryMBean
extends ServiceMBean

This is the interface of the ContainerFactory that is exposed for administration

Version:
  $Revision: 1.12.2.1 $
Author:
  Rickard Öberg (rickard.oberg@telkel.com), Juha Lindfors (jplindfo@helsinki.fi)
See Also:
  `ContainerFactory`

Field Summary
`static java.lang.String` | `OBJECT_NAME`

Fields inherited from interface org.jboss.util.ServiceMBean
`STARTED, STARTING, states, STOPPED, STOPPING`

Method Summary
`void` | `deploy(java.lang.String url, java.lang.String appId)` Deploy an application
`void` | `deploy(java.lang.String appUurl, java.lang.String[] jarUrls, java.lang.String appId)` Deploy an application
`java.util.Iterator` | `getDeployedApplications()` Returns the applications deployed by the container factory
`boolean` | `getValidateDTDs()` Get the flag indicating that ejb-jar.dtd, jboss.dtd & jboss-web.dtd conforming documents should be validated against the DTD.
`boolean` | `getVerifierVerbose()` Returns the state of the verifier (verbose/non-verbose mode).
`boolean` | `getVerifyDeployments()` Returns the state of the verifier (enabled/disabled)
`boolean` | `isDeployed(java.lang.String url)` is the aplication with this url deployed
`boolean` | `isMetricsEnabled()` Checks if this container factory initializes the metrics interceptor.
`void` | `setBeanCacheJMSMonitoringEnabled(boolean enable)` Set the JMS monitoring of the bean cache.
`void` | `setMetricsEnabled(boolean enable)` Enables/disables the metrics interceptor for containers.
`void` | `setValidateDTDs(boolean validate)` Set the flag indicating that ejb-jar.dtd, jboss.dtd & jboss-web.dtd conforming documents should be validated against the DTD.
`void` | `setVerifierVerbose(boolean verbose)` Enable/disable bean verifier verbose mode.
`void` | `setVerifyDeployments(boolean verify)` Enable/disable bean verification upon deployment.
`void` | `undeploy(java.lang.String url)` Undeploy an application

Methods inherited from interface org.jboss.util.ServiceMBean
`getName, getState, getStateString`

Methods inherited from interface org.jboss.util.Service
`destroy, init, start, stop`

Field Detail

### OBJECT_NAME

    public static final java.lang.String OBJECT_NAME

Method Detail

### getDeployedApplications

    public java.util.Iterator getDeployedApplications()

  Returns the applications deployed by the container factory

### deploy

    public void deploy(java.lang.String url,
                       java.lang.String appId)
                throws java.net.MalformedURLException,
                       DeploymentException

  Deploy an application
  Parameters:
    `url` - URL to the directory with the given EJBs to be deployed
    `appId` - Id of the application this EJBs belongs to used for management
  Throws:
    `java.net.MalformedURLException` -
    `DeploymentException` -

### deploy

    public void deploy(java.lang.String appUurl,
                       java.lang.String[] jarUrls,
                       java.lang.String appId)
                throws java.net.MalformedURLException,
                       DeploymentException

  Deploy an application
  Parameters:
    `appUrl` - Url to the application itself
    `jarUrls` - Array of URLs to the JAR files containing the EJBs
    `appId` - Id of the application this EJBs belongs to used for management
  Throws:
    `java.net.MalformedURLException` -
    `DeploymentException` -

### undeploy

    public void undeploy(java.lang.String url)
                  throws java.net.MalformedURLException,
                         DeploymentException

  Undeploy an application
  Parameters:
    `url` -
  Throws:
    `java.net.MalformedURLException` -
    `DeploymentException` -

### setVerifyDeployments

    public void setVerifyDeployments(boolean verify)

  Enable/disable bean verification upon deployment.
  Parameters:
    `verify` - true to enable the verifier; false to disable

### getVerifyDeployments

    public boolean getVerifyDeployments()

  Returns the state of the verifier (enabled/disabled)
  Returns:
    true if verifier is enabled; false otherwise

### setVerifierVerbose

    public void setVerifierVerbose(boolean verbose)

  Enable/disable bean verifier verbose mode.
  Parameters:
    `verbose` - true to enable verbose mode; false to disable

### getVerifierVerbose

    public boolean getVerifierVerbose()

  Returns the state of the verifier (verbose/non-verbose mode).
  Returns:
    true if the verbose mode is enabled; false otherwise

### setMetricsEnabled

    public void setMetricsEnabled(boolean enable)

  Enables/disables the metrics interceptor for containers.
  Parameters:
    `enable` - true to enable; false to disable

### isMetricsEnabled

    public boolean isMetricsEnabled()

  Checks if this container factory initializes the metrics interceptor.
  Returns:
    true if metrics are enabled; false otherwise

### isDeployed

    public boolean isDeployed(java.lang.String url)
                       throws java.net.MalformedURLException

  is the aplication with this url deployed
  Parameters:
    `url` -
  Throws:
    `java.net.MalformedURLException` -

### setBeanCacheJMSMonitoringEnabled

    public void setBeanCacheJMSMonitoringEnabled(boolean enable)

  Set the JMS monitoring of the bean cache.

### getValidateDTDs

    public boolean getValidateDTDs()

  Get the flag indicating that ejb-jar.dtd, jboss.dtd & jboss-web.dtd conforming documents should be validated against the DTD.

### setValidateDTDs

    public void setValidateDTDs(boolean validate)

  Set the flag indicating that ejb-jar.dtd, jboss.dtd & jboss-web.dtd conforming documents should be validated against the DTD.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 The JBoss Organization. All Rights Reserved.